<template>
  <t-modal
    v-model="vModel"
    id="_global-error-modal"
    @closed="onClosed"
  >
    <!-- Error icon -->
    <p class="text-center mb-4">
      <v-icon name="exclamation-triangle" scale="5" class="text-error"/>
    </p>

    <!-- Error message -->
    <p>{{ system.errorMessage }}</p>

    <!-- Footer -->
    <template v-slot:footer>
      <div class="flex justify-center">
        <Button @click.native="vModel = false">
          {{ $t('global.close') | capitalize }}
        </Button>
      </div>
    </template>

  </t-modal>

</template>

<script>
// vuex helpers
import { mapState, mapActions } from 'vuex'
// BaseModal component
import BaseModal from './BaseModal'
/**
 * GlobalErrorModal component
 */
export default {
  name: 'GlobalErrorModal',
  extends: BaseModal,
  computed: {
    // Map state from root store
    ...mapState([
      'system'
    ])
  },
  methods: {
    // Map actions from root store
    ...mapActions([
      'clearSystemError'
    ]),
    /**
     * Called when popup close
     * @return {void}
     */
    onClosed: function () {
      this.clearSystemError()
    }
  }
}
</script>

<style lang="scss">
#_global-error-modal {
  //
}
</style>
